/* vim:set ts=2 sw=2 sts=2 ai si nu et ft=javascript ff=unix:

  Last Change: 28-June-2013 16:19:52.
  Author: Technical team.
  Copyright: (C)Anchor Group K.K.

  URL: http://www.anchor-gr.jp/labo.html
  EMAIL: info@anchor-gr.jp

  Filename: smartaccordion-0.0.1.js
 ---------------------------------------------------------*/
var smartAccordionVersion = "0.0.1";

function smAC(opts)
{
  this.status = false;
  this.tw = null;

  this.head = "#" + (opts["head_id"]||"ac_head");
  this.list = "#" + (opts["list_id"]||"ac_list");
  this.speed = opts["speed"]||"slow";
  this.wait = opts["wait"]||500;

  var self = this;

  $(self.head).mouseover(function() {
    self.show();
  });

  $(self.head).mouseout(function() {
    self.hide();
  });

  $(self.list).mouseover(function() {
    self.cancel();
  }).mouseout(function() {
    self.hide();
  });
}

smAC.prototype.cancel = function()
{
  clearTimeout(this.tw);
  this.status = true;
}

smAC.prototype.show = function()
{
  if (!this.status) {
    $(this.list).slideDown(this.speed);
    this.status = true;
  } else {
    this.cancel();
  }
}

smAC.prototype.hide = function()
{
  var self = this;
  self.tw = setTimeout(function() {
    if (self.status) $(self.list).slideUp(self.speed);
    self.status = false;
  }, 500);
}

var smartAccordion = function(opts)
{
  new smAC(opts);
}

